<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('credencialesprofesionales', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('usuario')->unique();
            $table->string('contra');
            $table->string('rol');
            $table->string('token')->nullable()->default(null);
            $table->datetime('fecha_hora')->nullable()->default(null);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('credencialesprofesionales');
    }
};
